Skip to main content
PUT
/
users
/
{user_id}
Updates a user.
curl --request PUT \
  --url https://api.sandbox.goteal.co/users/{user_id} \
  --header 'Content-Type: application/json' \
  --header 'X-API-KEY: <api-key>' \
  --data '
{
  "name": "John Smith",
  "email": "john.smith@company.com",
  "recurring_checks_enabled": true,
  "recurring_check_frequency": "WEEKLY",
  "recurring_check_end_date": "2019-05-17T00:00:00.000Z",
  "payroll_period_months": 123,
  "hmrc_enabled": true,
  "payslip_upload_enabled": true,
  "payroll_connections_enabled": true,
  "ni_number": "QQ123456C",
  "date_of_birth": "2019-05-17T00:00:00.000Z",
  "forename": "John",
  "surname": "Smith",
  "post_codes": [
    "SW1A 1AA",
    "SW1A 1AB"
  ]
}
'
{
  "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2019-05-17T00:00:00.000Z",
  "name": "John Smith",
  "email": "john.smith@company.com",
  "recurring_checks_enabled": true,
  "recurring_check_frequency": "WEEKLY",
  "recurring_check_end_date": "2019-05-17T00:00:00.000Z",
  "payroll_period_months": 123,
  "hmrc_enabled": true,
  "payslip_upload_enabled": true,
  "payroll_connections_enabled": true,
  "ni_number": "QQ123456C",
  "date_of_birth": "2019-05-17T00:00:00.000Z",
  "forename": "John",
  "surname": "Smith",
  "post_codes": [
    "SW1A 1AA",
    "SW1A 1AB"
  ]
}
Direct Connection Requirements These fields are required for direct connections to happen. Provide one of these identity sets:
  1. ni_number plus at least one of forename, surname, post_codes, or date_of_birth.
  2. All four fields forename, surname, post_codes, and date_of_birth without ni_number.
If neither set is provided, direct connection validation will fail.

Authorizations

X-API-KEY
string
header
required

Path Parameters

user_id
string
required

ID of the user to update.

Body

application/json
name
string
required

The full name of the user. It doesn't have to be unique for the client.

Example:

"John Smith"

email
string<email>
required

The email of the user. The field does not have to be a real email address. It can be the user's identifier in your system.

Example:

"john.smith@company.com"

recurring_checks_enabled
boolean

Determines if recurring checks are enabled for this user. Overrides the same setting if present in client level configuration.

recurring_check_frequency
string

Frequency of the recurring check for this user. Overrides the same setting if present in client level configuration. Available frequencies in production are [WEEKLY, DAILY]. Sandbox allows HOURLY frequency in addition.

Example:

"WEEKLY"

recurring_check_end_date
string<date-time>

End date of the recurring check schedule. Overrides the same setting if present in client level configuration.

Example:

"2019-05-17T00:00:00.000Z"

payroll_period_months
integer<int32>

Lookback period of the payroll to search on account creation. Overrides the same setting if present in client level configuration.

hmrc_enabled
boolean

Determines if HMRC provider is enabled for this user. Overrides the same setting if present in client level configuration.

payslip_upload_enabled
boolean

Determines if payslip upload is enabled for this user. Overrides the same setting if present in client level configuration.

payroll_connections_enabled
boolean

Determines if payroll connections feature is enabled for this user. Overrides the same setting if present in client level configuration.

ni_number
string

National Insurance number of the user. Used for direct connections.

Example:

"QQ123456C"

date_of_birth
string<date-time>

Date of birth of the user. Used for direct connections.

Example:

"2019-05-17T00:00:00.000Z"

forename
string

Forename of the user. Used for direct connections.

Example:

"John"

surname
string

Surname of the user. Used for direct connections.

Example:

"Smith"

post_codes
string[]

Post codes of the user over the period of the check. Used for direct connections where we need to verify payroll data matches the user given current and past post codes.

Example:
["SW1A 1AA", "SW1A 1AB"]

Response

Updated

user_id
string<uuid>
required

Unique identifier for user

created_at
string<date-time>
required

Creation time in UTC of the user

Example:

"2019-05-17T00:00:00.000Z"

name
string
required

The full name of the user. It doesn't have to be unique for the client.

Example:

"John Smith"

email
string<email>
required

The email of the user. The field does not have to be a real email address. It can be the user's identifier in your system.

Example:

"john.smith@company.com"

recurring_checks_enabled
boolean

Determines if recurring checks are enabled for this user. Overrides the same setting if present in client level configuration.

recurring_check_frequency
string

Frequency of the recurring check for this user. Overrides the same setting if present in client level configuration. Available frequencies in production are [WEEKLY, DAILY]. Sandbox allows HOURLY frequency in addition.

Example:

"WEEKLY"

recurring_check_end_date
string<date-time>

End date of the recurring check schedule. Overrides the same setting if present in client level configuration.

Example:

"2019-05-17T00:00:00.000Z"

payroll_period_months
integer<int32>

Lookback period of the payroll to search on account creation. Overrides the same setting if present in client level configuration.

hmrc_enabled
boolean

Determines if HMRC provider is enabled for this user. Overrides the same setting if present in client level configuration.

payslip_upload_enabled
boolean

Determines if payslip upload is enabled for this user. Overrides the same setting if present in client level configuration.

payroll_connections_enabled
boolean

Determines if payroll connections feature is enabled for this user. Overrides the same setting if present in client level configuration.

ni_number
string

National Insurance number of the user. Used for direct connections.

Example:

"QQ123456C"

date_of_birth
string<date-time>

Date of birth of the user. Used for direct connections.

Example:

"2019-05-17T00:00:00.000Z"

forename
string

Forename of the user. Used for direct connections.

Example:

"John"

surname
string

Surname of the user. Used for direct connections.

Example:

"Smith"

post_codes
string[]

Post codes of the user over the period of the check. Used for direct connections where we need to verify payroll data matches the user given current and past post codes.

Example:
["SW1A 1AA", "SW1A 1AB"]